Get URL to Docusign eSignature web application
Returns a URL that enables you to embed the Docusign UI in your applications. To view a specific envelope, set the envelopeId property in the request body.
Information security notice
This method provides full access to the sending account.
Related topics
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: consoleViewRequest
The ID of an envelope. If the envelope has been sent, the endpoint returns a URL for a view of the documents. If the envelope has not yet been sent, the endpoint returns a URL for the sender view.
This property is optional. If no value is provided, the endpoint returns a URL for the front page of the demo UI.
The URL to which the user should be redirected. This is only used when the envelopeId is specified as a draft envelope. In this case, the endpoint returns a URL for the sender view. When the user exits the sender view, they will be redirected to the returnUrl value. If no value is provided, there is no option to leave the sender view.
In other cases, the user is not redirected out of the console view.